export declare class Container {
    private providers;
    private services;
    private injectProperties;
    constructor(providers?: any[], services?: {
        [name: string]: any;
    });
    register(...serviceClasses: any[]): void;
    registerByName(name: string, serviceClass: any): void;
    add(service: any): any;
    addByName(name: string, service: any): any;
    get(name: string): any;
    getByType<T>(c: new () => T): T;
    addInjectProperty(target: any, key: string): void;
    inject(service: any, name?: string): void;
    private getInjectProperty(key);
}
export default Container;
