export declare class Container {
    private providers;
    private services;
    private injectProperties;
    constructor(providers?: any[], services?: {
        [name: string]: any;
    });
    register(...serviceClasses: any[]): void;
    registerByName(name: string, serviceClass: any): void;
    get(name: string): any;
    getByType<T>(c: new () => T): T;
    getAll(): {
        [name: string]: any;
    };
    addInjectProperty(target: any, key: string): void;
    private add(service);
    private addByName(name, service);
    private inject(target, propertyKey, service);
    private injectIntoProperties(service, name?);
    private getInjectProperty(key);
}
export default Container;
