"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SimpleCI_1 = require("../src/SimpleCI");
describe('Given an initialized SimpleCI container and the inject decorator it', () => {
    const decorator = SimpleCI_1.Inject;
    SimpleCI_1.SimpleCI.registerByName('vip', { value: 'important' });
    it('Should be able to inject an object into a property of a target object', () => {
        const target = { vip: undefined };
        decorator(target, 'vip');
        expect(target.vip).toBeDefined();
        expect(target.vip.value).toEqual('important');
    });
});
//# sourceMappingURL=Inject-spec.js.map